git-instaweb: fix apache2 config with apache >= 2.4
authorSebastian Kisela <skisela@redhat.com>
Tue, 7 Aug 2018 07:25:48 +0000 (09:25 +0200)
committerJunio C Hamano <gitster@pobox.com>
Wed, 8 Aug 2018 15:30:07 +0000 (08:30 -0700)
The generated apache2 config fails with apache >= 2.4.  The error log
states:

    AH00136: Server MUST relinquish startup privileges before accepting
    connections.  Please ensure mod_unixd or other system security
    module is loaded.
    AH00016: Configuration Failed

Fix this by loading the unixd module.  This works with older httpd as
well, so no IfVersion conditional is needed.  (Tested with httpd-2.2.15
on CentOS-6.)

Written with assistance of Todd Zullinger <tmz@pobox.com>

Signed-off-by: Sebastian Kisela <skisela@redhat.com>
Signed-off-by: Junio C Hamano <gitster@pobox.com>
git-instaweb.sh

index 675add1..eec264e 100755 (executable)
@@ -360,7 +360,7 @@ EOF
                        break
                fi
        done
-       for mod in mime dir env log_config authz_core
+       for mod in mime dir env log_config authz_core unixd
        do
                if test -e $module_path/mod_${mod}.so
                then